/*
 * (POP3Lite) MailBox - 3lite POP3 Daemon (mailbox driver)
 * Copyright (C) 2000, 2001 Gergely Nagy <8@free.bsd.hu>
 *
 * This file is part of POP3LIte.
 *
 * POP3Lite is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * POP3Lite is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/*
 * $Id: mailbox.h,v 1.5 2001/01/12 15:58:59 algernon Exp $
 */

#ifndef __POP3LITE_MAILBOX_H__
#define __POP3LITE_MAILBOX_H__ 1

#include <pop3lite.h>

/**
 * P3LHook_mailbox_mail_parse: Hook to do things with messages
 * @control: the main control struct
 * @buffer: the raw, unparsed message
 * @minfo: struct to put result into
 *
 * This hook is used to retrieve information from messages durin
 * trans_init (when entering TRANSACTION state).
 *
 * Returns: nothing
 **/
typedef void (*P3LHook_mailbox_mail_parse) ( P3LControl *control,
					     char *buffer, MailInfo *minfo );

#endif /* ! __POP3LITE_MAILBOX_H__ */
